$(function () {
    var $faculty = $('#facultySelect');
    var $department = $('#departmentSelect');

    $faculty.find('[value="0"]').attr('selected', 'selected');
    $department.attr('disabled', 'disabled');
    $department.find('[value="0"]').attr('selected', 'selected');
    $('#jobPositionSelect').find('[value="0"]').attr('selected', 'selected');
    $('#inputGroupSubmit').attr('disabled', 'disabled');

    // Выбор факультета
    $faculty.change(function () {
        if (($faculty.find('option:selected').val() != '0')) {
            $department.html('<option value="0">— Кафедра —</option>');
            $department.attr('disabled', 'disabled');
            $.post(URLdir + 'handler/teachers/getDepartmentsList', {
                'facultyID': $faculty.find('option:selected').val()
            }, function (data) {
                $.each(data, function (i) {
                    var dep = data[i];
                    if (!dep.Name) dep.Name = 'Служебная кафедра';
                    $department.append('<option value="' + dep.ID + '">' + dep.Name + '</option>');
                });
                $department.removeAttr('disabled');
            }, 'json');
        } else {
            $department.attr('disabled', 'disabled');
        }
    });

    $department.change(function () {
        if (($department.find('option:selected').val() != '0')) {
            $('#inputGroupSubmit').removeAttr('disabled');
        }
    });

    $('#inputGroupSubmit').click(function () {
        $('#inputGroupSubmit').attr('disabled', 'disabled');
        $.post(URLdir + 'handler/teachers/create', {
                'firstName': $('#firstName').val(),
                'secondName': $('#secondName').val(),
                'lastName': $('#lastName').val(),
                'jobPositionID': $('#jobPositionSelect').find('option:selected').val(),
                'departmentID': $department.find('option:selected').val()
            }, function (data) {
                // todo: catch errors
                //$('.inputGroupMessages').html('<ul>');
                //$.each(data.messages, function (i) {
                //    $('.inputGroupMessages').append('<li>' + data.messages[i]);
                //});
                //$('.inputGroupMessages').append('</ul>');
                $('#inputGroupSubmit').removeAttr('disabled');
            }, 'json');
    });
});
