$(function()
{
    $("#facultySelect [value='0']").attr('selected', 'selected');
    $("#gradeSelect [value='0']").attr('selected', 'selected');
    $("#departmentSelect [value='0']").attr('selected', 'selected');

    var radioValue = 0;
    // Выбор круга пользователей
    $('input[type=radio][name=typeOfAccounts]').change(function(){
        radioValue = this.value;
        $("#facultySelect [value='0']").attr('selected', 'selected');
        $("#gradeSelect [value='0']").attr('selected', 'selected');
        $("#departmentSelect [value='0']").attr('selected', 'selected');
        $('#SecondStep').css('display', 'block');
        $('#ThirdStep_Student').css('display', 'none');
        $('#ThirdStep_Teacher').css('display', 'none');
        $('#FourthStep_Student').css('display', 'none');
        $('#FourthStep_Teacher').css('display', 'none');
    });

    $('#facultySelect').change(function(){
        if (($('#facultySelect option:selected').val()!= '0')) {
            $('#ThirdStep_'+radioValue).css('display', 'block');
            if(radioValue == 'Teacher')
            {
                $('#departmentSelect').attr('disabled', 'disabled');
                $("#departmentSelect").html('<option value="0">--- Кафедра ---</option>');
                $.post(URLdir + 'handler/teachers/getDepartmentsList', {'facultyID': $('#facultySelect option:selected').val()}, function(data){
                    $.each(data, function(i){
                        var dep = data[i];
                        if (!dep.Name) dep.Name = 'Служебная кафедра';
                        $("#departmentSelect").append('<option value="'+dep.ID+'">'+dep.Name+'</option>');
                    });
                    $("#departmentSelect").removeAttr("disabled");
                }, "json");
            }
            $("#gradeSelect [value='0']").attr('selected', 'selected');
            $("#departmentSelect [value='0']").attr('selected', 'selected');
            $('#FourthStep_Student').css('display', 'none');
            $('#FourthStep_Teacher').css('display', 'none');
        }
    });

    // Выбор курса
    $('#gradeSelect').change(function(){

        if (($('#gradeSelect option:selected').val()!= '0')) {
            $('#FourthStep_'+radioValue).css('display', 'block');
        }
    });

    $('body').on('click', '#downloadTeacherPDF', function(){
        $('#downloadTeacherPDF').attr('disabled', 'disabled');
        $.fileDownload(URLdir + 'handler/admAccounts/getActivationForTeachers', {
            httpMethod: "POST",
            data:
            {
                'facultyID': $('#facultySelect option:selected').val()
            },
            successCallback: function (url) {
                $('#downloadTeacherPDF').removeAttr('disabled');
            },
            failCallback: function (html, url) {
                $('#downloadTeacherPDF').removeAttr('disabled');
                EventInspector_ShowMsg("Отсутствуют неактивированные аккаунты!", "success");
            }
        });
    });

    $('body').on('click', '#downloadStudentPDF', function(e){
        $('#downloadStudentPDF').attr('disabled', 'disabled');
        $.fileDownload(URLdir + 'handler/admAccounts/getActivationForStudents', {
            httpMethod: "POST",
            data:
            {
                'facultyID': $('#facultySelect option:selected').val(),
                'gradeID': $('#gradeSelect option:selected').val()
            },
            successCallback: function (url) {
                $('#downloadStudentPDF').removeAttr('disabled');
            },
            failCallback: function (html, url) {
                $('#downloadStudentPDF').removeAttr('disabled');
                EventInspector_ShowMsg("Отсутствуют неактивированные аккаунты!", "success");
            }
        });
    });
});
